Module
Inhalte
Index 🔎︎

# Funktion Input [VBA]

Gibt den offenen Strom einer Eingabe oder Binärdatei zurück (Zeichenkette).

Diese Funktion oder Konstante ist aktiviert, wenn die Anweisung Option VBASupport 1 vor dem ausführbaren Programmcode in einem Modul platziert wurde.

## Syntax:

    Input( Number as Integer, [# ] FileNumber as Integer)

## Rückgabewert:

String

## Parameter:

Number: Erforderlich. Numerischer Ausdruck, der die zurückzugebende Anzahl an Zeichen festlegt.

#: Optional.

FileNumber: Erforderlich. Eine gültige Dateinummer.

## Fehlercodes:

6 Überlauf

52 Dateiname oder -nummer falsch

62 Zugriff hinter das Dateiende (EOF)

## Beispiel:

    REM ***** BASIC *****

    Option VBASupport 1

    Sub Example_Input

     Dim MyData

     Open "MyDataFile.txt" For Input As #1

     Do While Not EOF(1)

      MyData = Input(1, #1)

      Print MyData

     Loop

     Close #1

    End Sub

Verwandte Themen

Anweisung Input#

VBA - E/A-Funktionen